Documents

Document Request Create

POST
/documents/request/create

Creates a new document request.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Request Body

application/json

The DocumentRequestModel payload to create. Server-managed fields (ids, timestamps, links, isDeleted) are ignored.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/documents/request/create" \  -H "Content-Type: application/json" \  -d '{    "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",    "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",    "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",    "recordId": "INV-2026-000123",    "name": "Invoice run - Contoso July",    "status": "Pending",    "embeddedData": "{\\"invoiceNumber\\":\\"INV-2026-000123\\"}",    "title": "Invoice INV-2026-000123",    "fileFormat": "pdf",    "processingType": "STANDARD",    "deliveryMethod": "Email",    "path": "output/invoices/",    "language": "en",    "locale": "en-US",    "timeZone": "America/New_York",    "viewAnonymous": false,    "viewOrganization": true,    "viewUser": true,    "viewUserEmailList": "alice@example.com,bob@example.com",    "editUserEmailList": "carol@example.com"  }'
{  "result": {    "data": {      "documentRequest": {        "documentRequestGuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",        "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",        "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",        "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",        "documentGuid": "",        "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",        "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "recordId": "INV-2026-000123",        "name": "Invoice run - Contoso July",        "status": "Pending",        "embeddedData": "{\"invoiceNumber\":\"INV-2026-000123\"}",        "title": "Invoice INV-2026-000123",        "fileFormat": "pdf",        "processingType": "STANDARD",        "deliveryMethod": "Email",        "path": "output/invoices/",        "pdfConformanceLevel": "PdfA2B",        "pdfVersion": "2026-01-07",        "language": "en",        "locale": "en-US",        "timeZone": "America/New_York",        "viewAnonymous": false,        "editAnonymous": false,        "viewOrganization": true,        "editOrganization": false,        "viewUser": true,        "editUser": false,        "viewUserEmailList": "alice@example.com,bob@example.com",        "editUserEmailList": "carol@example.com",        "createdDate": "2026-07-14T09:30:00.000Z",        "completedDate": "",        "lastModifiedDate": "2026-07-14T09:30:00.000Z",        "isDeleted": false      }    },    "statusCode": 200,    "message": "OK"  },  "origin": "POST https://api.doctavian.com/v1/documents/request/create",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "0bad0af30bc4cc843cafa526bac715b0",  "userId": "fea81d50-e923-47df-b1c4-bd796849d899"}
{  "userId": "d11bbcb0-e6a5-43c2-aa35-07aaa5de8f62",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "POST https://api.doctavian.com/v1/documents/request/create",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "20119825e29896d7b6b28bc1e87e1680"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "POST https://api.doctavian.com/v1/documents/request/create",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "a02c4ccf2d77806a03687cbc4d5f6b98",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "POST https://api.doctavian.com/v1/documents/request/create",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "6c6fc25e1cfde74c1e3d7d9d8158986e",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "56a28cdc-5403-4308-adc2-04646406cebb",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "POST https://api.doctavian.com/v1/documents/request/create",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "adb1fcf3b85d18c017c415b04af53793"}